routes/web.php
<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {

    return redirect()->route('login');
});


// Guest Users
Route::middleware(['guest','PreventBackHistory'])->group(function()
{
    Route::get('/', [App\Http\Controllers\Admin\AuthController::class, 'showLogin'])->name('/');
    Route::get('login', [App\Http\Controllers\Admin\AuthController::class, 'showLogin'] )->name('login');
    Route::post('login', [App\Http\Controllers\Admin\AuthController::class, 'login'])->name('signin');

});



// Authenticated users
Route::middleware(['auth','PreventBackHistory'])->group(function()
{

    // Auth Routes
    Route::get('edit-profile', [App\Http\Controllers\Admin\DashboardController::class, 'editProfile'] )->name('edit-profile');
    Route::get('home', fn () => redirect()->route('dashboard'))->name('home');
    Route::post('logout', [App\Http\Controllers\Admin\AuthController::class, 'Logout'])->name('logout');
    Route::get('show-change-password', [App\Http\Controllers\Admin\AuthController::class, 'showChangePassword'] )->name('show-change-password');
    Route::post('change-password', [App\Http\Controllers\Admin\AuthController::class, 'changePassword'] )->name('change-password');



    // Dashboard routes
    Route::get('dashboard', [App\Http\Controllers\Admin\DashboardController::class, 'index'])->name('dashboard');



    // Manual Sync Attendance
    Route::get('manual-sync', [App\Http\Controllers\Admin\MaualSyncController ::class, 'index'] )->name('manual-sync.index');
    Route::post('manual-sync', [App\Http\Controllers\Admin\MaualSyncController::class, 'addManualSync'] )->name('manual-sync.store');
    Route::post('check-sync-status', [App\Http\Controllers\Admin\MaualSyncController::class, 'checkSyncStatus'] )->name('check-sync-status');



    // Masters routes
    Route::resource('departments', App\Http\Controllers\Admin\Masters\DepartmentController::class );
    Route::get('departments/{department}/sub_departments', [App\Http\Controllers\Admin\Masters\DepartmentController::class, 'getSubDepartments'] )->name('departments.sub_departments');
    Route::resource('sub-departments', App\Http\Controllers\Admin\Masters\SubDepartmentController::class );
    Route::resource('wards', App\Http\Controllers\Admin\Masters\WardController::class );
    Route::get('wards/{ward}/departments', [App\Http\Controllers\Admin\Masters\DepartmentController::class, 'getWardDepartments'] )->name('wards.departments');
    Route::resource('clas', App\Http\Controllers\Admin\Masters\ClasController::class );
    Route::resource('designations', App\Http\Controllers\Admin\Masters\DesignationController::class );
    Route::resource('holidays', App\Http\Controllers\Admin\Masters\HolidayController::class );
    Route::resource('leave_types', App\Http\Controllers\Admin\Masters\LeaveTypeController::class );
    Route::resource('leaves', App\Http\Controllers\Admin\Masters\LeaveController::class );
    Route::resource('shifts', App\Http\Controllers\Admin\Masters\ShiftController::class );
    Route::resource('devices', App\Http\Controllers\Admin\Masters\DeviceController::class );


    // Users Roles n Permissions
    Route::resource('users', App\Http\Controllers\Admin\UserController::class );
    Route::get('users/{user}/toggle', [App\Http\Controllers\Admin\UserController::class, 'toggle' ])->name('users.toggle');
    Route::put('users/{user}/change-password', [App\Http\Controllers\Admin\UserController::class, 'changePassword' ])->name('users.change-password');
    Route::get('users/{user}/get-role', [App\Http\Controllers\Admin\UserController::class, 'getRole' ])->name('users.get-role');
    Route::put('users/{user}/assign-role', [App\Http\Controllers\Admin\UserController::class, 'assignRole' ])->name('users.assign-role');
    Route::resource('roles', App\Http\Controllers\Admin\RoleController::class );


    // Employees Routes
    Route::resource('employees', App\Http\Controllers\Admin\EmployeeController::class );
    Route::get('employees/{employee:emp_code}/info', [App\Http\Controllers\Admin\EmployeeController::class, 'fetchInfo'] )->name('employees.info');


    // Punches Routes
    Route::resource('punches', App\Http\Controllers\Admin\PunchController::class );
    Route::get('punches/{punch}/toggle', [App\Http\Controllers\Admin\PunchController::class, 'toggle' ])->name('punches.toggle');


    // Leaves Routes
    Route::resource('leave-requests', App\Http\Controllers\Admin\LeaveRequestController::class );
    Route::put('leave-requests/{leave_request}/change-request', [App\Http\Controllers\Admin\LeaveRequestController::class, 'changeRequest'] )->name('leave-requests.change-request');
    Route::get('active-medical-leave-requests', [App\Http\Controllers\Admin\LeaveRequestController::class, 'activeMedicalLeaveRequest'] )->name('leave-requests.active-medical-leave');
    Route::get('completed-medical-leave-requests', [App\Http\Controllers\Admin\LeaveRequestController::class, 'completedMedicalLeaveRequest'] )->name('leave-requests.completed-medical-leave');
    Route::get('leave-applications', [App\Http\Controllers\Admin\LeaveRequestController::class, 'pendingLeaveRequest'] )->name('leave-requests.application');


    // Employee Shifts
    Route::resource('rosters', App\Http\Controllers\Admin\RosterController::class );
    Route::get('sample_roster', [App\Http\Controllers\Admin\RosterController::class, 'downloadSample'] )->name('rosters.sample');
    Route::post('import_shift_roster', [App\Http\Controllers\Admin\RosterController::class, 'importShiftRoster'] )->name('rosters.import');


    // Reports
    Route::resource('reports', App\Http\Controllers\Admin\ReportController::class );
    Route::get('muster-report', [App\Http\Controllers\Admin\ReportController::class, 'musterReport'] )->name('reports.muster');
    Route::get('reports/get/month-wise-date', [App\Http\Controllers\Admin\ReportController::class, 'monthWiseDate'] )->name('reports.dates');
    Route::get('device_log_report', [App\Http\Controllers\Admin\ReportController::class, 'deviceLogReport'])->name('dashboard.device-log-report');
    Route::get('daily_attendance_report', [App\Http\Controllers\Admin\ReportController::class, 'dailyAttendanceReport'])->name('dashboard.daily-attendance-report');
    Route::get('department_wise_report', [App\Http\Controllers\Admin\ReportController::class, 'departmentWiseReport'])->name('dashboard.department-wise-report');
    Route::get('todays_present_report', [App\Http\Controllers\Admin\ReportController::class, 'todaysPresentReport'])->name('dashboard.todays-present-report');
    Route::get('todays_absent_report', [App\Http\Controllers\Admin\ReportController::class, 'todaysAbsentReport'])->name('dashboard.todays-absent-report');
    Route::get('shift_wise_employee/{shift_id}', [App\Http\Controllers\Admin\ReportController::class, 'shiftWiseEmployees'])->name('dashboard.shift-wise-employee');
    Route::get('todays_leave_bifurcation', [App\Http\Controllers\Admin\ReportController::class, 'todaysLeaveBifurcation'])->name('dashboard.todays-leave-bifurcation');
    Route::get('month_wise_latemark', [App\Http\Controllers\Admin\ReportController::class, 'monthWiseLatemark'])->name('dashboard.month-wise-latemark');
    Route::get('month_wise_absent', [App\Http\Controllers\Admin\ReportController::class, 'monthWiseAbsent'])->name('dashboard.month-wise-absent');
    Route::get('employee_wise_report', [App\Http\Controllers\Admin\ReportController::class, 'employeeWiseReport'])->name('dashboard.employee-wise-report');


});




Route::prefix('employee')->name('employee.')->group(function(){

    // Guest employees
    Route::middleware(['employee.guest','PreventBackHistory'])->group(function()
    {
        Route::get('/', fn()=> redirect()->route('login', ['device_type'=> 'mobile']) )->name('login');
        Route::get('/register', [App\Http\Controllers\Employee\AuthController::class, 'showRegister'])->name('register');
        Route::post('/emp-info', [App\Http\Controllers\Employee\AuthController::class, 'searchEmployeeCode'])->name('emp-info');
        Route::post('/register', [App\Http\Controllers\Employee\AuthController::class, 'register'])->name('signup');
    });

    // Authenticated employees
    Route::middleware(['employee.auth','PreventBackHistory'])->group(function()
    {
        Route::get('/home', [App\Http\Controllers\Employee\HomeController::class, 'index'])->name('home');
        Route::post('/employee-logout', [App\Http\Controllers\Employee\HomeController::class, 'logout'])->name('logout');
        Route::get('/delete-account', [App\Http\Controllers\Employee\HomeController::class, 'deleteAccount'])->name('delete-account');

        Route::get('show-change-password', [App\Http\Controllers\Employee\HomeController::class, 'showChangePassword'] )->name('show-change-password');
        Route::post('change-password', [App\Http\Controllers\Employee\HomeController::class, 'changePassword'] )->name('change-password');
    });

});

Route::get('/privacy-policy', [App\Http\Controllers\Employee\HomeController::class, 'privacyPolicy'])->name('privacy-policy');






Route::get('/import-department', function(){
    Artisan::call('department:import');
    return dd(Artisan::output());
});
Route::get('/import-punches', function(){
    Artisan::call('punches:import');
    return dd(Artisan::output());
});
Route::get('/import-employees', function(){
    Artisan::call('employees:import');
    return dd(Artisan::output());
});

Route::get('/php', function(Request $request){
    // if( !auth()->check() )

resources/views/admin/change-password.blade.php
<x-admin.admin-layout>
    <x-slot name="title">Change Password</x-slot>

    <div class="page-body">
        <div class="container-fluid">
        <div class="page-header py-3">
            <div class="row">
            <div class="col-sm-6">
                <h3>Change Password</h3>
            </div>
            <div class="col-sm-6">

            </div>
            </div>
        </div>
        </div>
        <!-- Container-fluid starts-->
        <div class="container-fluid">
        <div class="row card">
            <div class="col-sm-12 col-xl-8 mx-auto">
            <div class="row">

                <div class="col-sm-12">
                <div class="">
                    <div class="card-header pb-0">
                    </div>
                    <form class="theme-form" id="changePasswordForm">
                        @csrf
                        <div class="card-body">

                            <div class="mb-3 row">
                                <label class="col-sm-3 col-form-label" for="old_password">Old Password</label>
                                <div class="col-sm-9">
                                    <div class="input-group">
                                        <input class="form-control" type="password" id="old_password" name="old_password" placeholder="Old Password">
                                        <span class="input-group-text" id="old_password_eye" onclick="showHidePassword1()"><i class="eye fa-regular fa-eye-slash"></i></span>
                                    </div>
                                    <span class="text-danger error-text old_password_err"></span>
                                </div>
                            </div>

                            <div class="mb-3 row">
                                <label class="col-sm-3 col-form-label" for="password">New Password</label>
                                <div class="col-sm-9">
                                    <div class="input-group">
                                        <input class="form-control" type="password" id="password" name="password" placeholder="New Password">
                                        <span class="input-group-text" id="password_eye" onclick="showHidePassword2()"><i class="eye fa-regular fa-eye-slash" ></i></span>
                                    </div>
                                    <span class="text-danger error-text password_err"></span>
                                </div>
                            </div>

                            <div class="mb-3 row">
                                <label class="col-sm-3 col-form-label" for="password">Confirm Password</label>
                                <div class="col-sm-9">
                                    <div class="input-group">
                                        <input class="form-control" type="password" id="confirm_password" name="confirm_password" placeholder="Confirm Password">
                                        <span class="input-group-text" id="confirm_password_eye" onclick="showHidePassword3()"><i class="eye fa-regular fa-eye-slash" ></i></span>
                                    </div>
                                    <span class="text-danger error-text confirm_password_err"></span>
                                </div>
                            </div>

                        </div>
                        <div class="card-footer">
                            <button class="btn btn-primary" id="changePasswordSubmit">Submit</button>
                            <button class="btn btn-secondary" type="reset">Reset</button>
                        </div>
                    </form>
                </div>
                </div>

            </div>
            </div>

        </div>
        </div>
        <!-- Container-fluid Ends-->
    </div>

</x-admin.admin-layout>


<script>
    $("#changePasswordForm").submit(function(e) {
        e.preventDefault();
        $("#changePasswordSubmit").prop('disabled', true);
        var formdata = new FormData(this);
        $.ajax({
            url: '{{ route('change-password') }}',
            type: 'POST',
            data: formdata,
            contentType: false,
            processData: false,
            success: function(data) {
                if (!data.error && !data.error2) {
                    swal("Successful!", data.success, "success")
                        .then((action) => {
                            window.location.href = '{{ route('dashboard') }}';
                        });
                } else {
                    if (data.error2) {
                        swal("Error!", data.error2, "error");
                        $("#changePasswordSubmit").prop('disabled', false);
                    } else {
                        $("#changePasswordSubmit").prop('disabled', false);
                        resetErrors();
                        printErrMsg(data.error);
                    }
                }
            },
            error: function(error) {
                $("#changePasswordSubmit").prop('disabled', false);
                swal("Error occured!", "Something went wrong please try again", "error");
            },
        });

        function resetErrors() {
            var form = document.getElementById('changePasswordForm');
            var data = new FormData(form);
            for (var [key, value] of data)
            {
                $('.' + key + '_err').text('');
                $('#' + key).removeClass('is-invalid');
                $('#' + key).addClass('is-valid');
            }
        }

        function printErrMsg(msg) {
            $.each(msg, function(key, value)
            {
                $('.' + key + '_err').text(value);
                $('#' + key).addClass('is-invalid');
            });
        }

    });
</script>

<script>

    showHidePassword1 = () => {
        var password = document.getElementById('old_password');
        var toggler = document.getElementById('old_password_eye');

        if (password.type == 'password') {
            password.setAttribute('type', 'text');

            toggler.querySelector('i').classList.remove('fa-eye-slash');
            toggler.querySelector('i').classList.add('fa-eye');
        }
        else
        {
            password.setAttribute('type', 'password');
            toggler.querySelector('i').classList.remove('fa-eye');
            toggler.querySelector('i').classList.add('fa-eye-slash');
        }
    };

    showHidePassword2 = () => {
        var password = document.getElementById('password');
        var toggler = document.getElementById('password_eye');

        if (password.type == 'password') {
            password.setAttribute('type', 'text');

            toggler.querySelector('i').classList.remove('fa-eye-slash');
            toggler.querySelector('i').classList.add('fa-eye');
        }
        else
        {
            password.setAttribute('type', 'password');
            toggler.querySelector('i').classList.remove('fa-eye');
            toggler.querySelector('i').classList.add('fa-eye-slash');
        }
    };

    showHidePassword3 = () => {
        var password = document.getElementById('confirm_password');
        var toggler = document.getElementById('confirm_password_eye');

        if (password.type == 'password') {
            password.setAttribute('type', 'text');

            toggler.querySelector('i').classList.remove('fa-eye-slash');
            toggler.querySelector('i').classList.add('fa-eye');
        }
        else
        {
            password.setAttribute('type', 'password');
            toggler.querySelector('i').classList.remove('fa-eye');
            toggler.querySelector('i').classList.add('fa-eye-slash');
        }
    };
</script>

resources/views/admin/login.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description"
        content="TMC corebio admin panel">
    <meta name="keywords"
        content="TMC corebio admin panel">
    <meta name="author" content="pixelstrap">
    <link rel="icon" href="{{ asset('assets/images/favicon.png') }}" type="image/x-icon">
    <link rel="shortcut icon" href="{{ asset('assets/images/favicon.png') }}" type="image/x-icon">
    <title>TMC - Login</title>
    <!-- Google font-->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link
        href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&amp;display=swap"
        rel="stylesheet">
    <link
        href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&amp;display=swap"
        rel="stylesheet">
    <link
        href="https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&amp;display=swap"
        rel="stylesheet">
    <!-- Font Awesome-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/fontawesome.css') }}">
    <!-- ico-font-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/icofont.css') }}">
    <!-- Themify icon-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/themify.css') }}">
    <!-- Flag icon-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/flag-icon.css') }}">
    <!-- Feather icon-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/feather-icon.css') }}">
    <!-- Bootstrap css-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/bootstrap.css') }}">
    <!-- App css-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/style.css') }}">
    <link id="color" rel="stylesheet" href="{{ asset('assets/css/color-4.css') }}" media="screen">
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/sweetalert2.css') }}">
    <!-- Responsive css-->
    <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/responsive.css') }}">

    <style>
        .login-card{
            background: url('{{asset("assets/images/bg_login.jpg")}}');
            background-repeat: no-repeat;
            background-size: cover;
        }
    </style>
</head>

<body>
    <!-- Loader starts-->
    <div class="loader-wrapper">
        <div class="theme-loader">
            <div class="loader-p"></div>
        </div>
    </div>
    <!-- Loader ends-->
    <!-- page-wrapper Start-->
    <section>
        <div class="container-fluid p-0">
            <div class="row">
                <div class="col-12">
                    <div class="login-card">
                        <form class="theme-form login-form" id="loginForm">
                            <div class="col-12 mb-4 text-center">
                                <img src="{{ asset('assets/images/logo/logo.png') }}" alt="" style="height: 100px; width: auto" class="img-fluid">

                                <h4 class="mt-3">ठाणे महानगरपालिका</h4>
                            </div>
                            @csrf

                            <h4>Login</h4>
                            <h6>Welcome back! Log in to your account</h6>
                            <input type="hidden" value="{{ request()->device_type }}" name="device_type">
                            <div class="form-group">
                                <label>{{ request()->device_type ? 'Emp Code' : 'Username' }}</label>
                                <div class="input-group"><span class="input-group-text"><i class="icon-user"></i></span>
                                    <input class="form-control" type="text" name="username" id="username" placeholder="{{ request()->device_type ? 'Emp Code' : 'Username' }}">
                                </div>
                                <span class="text-danger error-text username_err"></span>
                            </div>

                            <div class="form-group">
                                <label>Password</label>
                                <div class="input-group"><span class="input-group-text"><i class="icon-lock"></i></span>
                                    <input class="form-control" type="password" id="password" name="password" placeholder="*********">
                                    <span class="input-group-text" id="password_eye" onclick="showHidePassword1()"><i class="eye fa fa-eye-slash"></i></span>
                                </div>
                                <span class="text-danger error-text password_err"></span>
                            </div>

                            <div class="form-group">
                                <div class="checkbox">
                                    <input id="remember_me" name="remember_me" type="checkbox">
                                    <label for="remember_me">Keep me logged in</label>
                                </div>
                            </div>

                            <div class="form-group d-flex pb-5">
                                @if (request()->device_type == 'mobile')
                                    <a class="btn-link ms-0 me-auto align-self-center" href="{{ route('employee.register') }}" type="submit">Register</a>
                                @endif
                                <button class="btn btn-primary me-0 ms-auto" id="loginForm_submit" type="submit">Sign in</button>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- latest jquery-->
    <script src="{{ asset('assets/js/jquery-3.5.1.min.js') }}"></script>
    <!-- feather icon js-->
    <script src="{{ asset('assets/js/icons/feather-icon/feather.min.js') }}"></script>
    <script src="{{ asset('assets/js/icons/feather-icon/feather-icon.js') }}"></script>
    <!-- Sidebar jquery-->
    <script src="{{ asset('assets/js/sidebar-menu.js') }}"></script>
    <script src="{{ asset('assets/js/config.js') }}"></script>
    <!-- Bootstrap js-->
    <script src="{{ asset('assets/js/bootstrap/popper.min.js') }}"></script>
    <script src="{{ asset('assets/js/bootstrap/bootstrap.min.js') }}"></script>
    <!-- Theme js-->
    <script src="{{ asset('assets/js/sweet-alert/sweetalert.min.js') }}"></script>
    <script src="{{ asset('assets/js/script.js') }}"></script>
    <!-- login js-->

    <script>
        $("#loginForm").submit(function(e) {
            e.preventDefault();
            $("#loginForm_submit").prop('disabled', true);
            var formdata = new FormData(this);
            $.ajax({
                url: '{{ route('signin') }}',
                type: 'POST',
                data: formdata,
                contentType: false,
                processData: false,
                success: function(data) {
                    if (!data.error && !data.error2) {
                        // swal("Successful!", data.success, "success")
                            // .then((action) => {

                                if( data.user_type == 'employee' )
                                    window.location.href = "{{ route('employee.home') }}";
                                else if( data.user_type == 'maker' )
                                    window.location.href = "{{ route('leave-requests.index') }}";
                                else
                                    window.location.href = "{{ route('dashboard') }}";
                            // });
                    } else {
                        if (data.error2) {
                            swal("Error!", data.error2, "error");
                            $("#loginForm_submit").prop('disabled', false);
                        } else {
                            $("#loginForm_submit").prop('disabled', false);
                            resetErrors();
                            printErrMsg(data.error);
                        }
                    }
                },
                error: function(error) {
                    $("#loginForm_submit").prop('disabled', false);
                    swal("Error occured!", "Something went wrong please try again", "error");
                },
            });

            function resetErrors() {
                var form = document.getElementById('loginForm');
                var data = new FormData(form);
                for (var [key, value] of data) {
                    console.log(key, value)
                    $('.' + key + '_err').text('');
                    $('#' + key).removeClass('is-invalid');
                    $('#' + key).addClass('is-valid');
                }
            }

            function printErrMsg(msg) {
                $.each(msg, function(key, value) {
                    console.log(key);
                    $('.' + key + '_err').text(value);
                    $('#' + key).addClass('is-invalid');
                });
            }

        });
    </script>

</body>

<script>

    showHidePassword1 = () => {
        var password = document.getElementById('password');
        var toggler = document.getElementById('password_eye');

        if (password.type == 'password') {
            password.setAttribute('type', 'text');

            toggler.querySelector('i').classList.remove('fa-eye-slash');
            toggler.querySelector('i').classList.add('fa-eye');
        }
        else
        {
            password.setAttribute('type', 'password');
            toggler.querySelector('i').classList.remove('fa-eye');
            toggler.querySelector('i').classList.add('fa-eye-slash');
        }
    };

</script>

</html>

resources/views/admin/rosters.blade.php
<x-admin.admin-layout>
    <x-slot name="title">{{ auth()->user()->tenant_name }} - Shift Roster</x-slot>
    <livewire:styles />

    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header py-3 pb-3">

                <livewire:edit-roster />

                <div class="row">
                    <div class="col-sm-12">

                        <h3>Shift Roster</h3>

                    </div>
                    <div class="col-sm-6">
                    </div>
                </div>
            </div>
        </div>
        <!-- Container-fluid starts-->
        <div class="container-fluid support-ticket">
            <div class="row">

                <div class="col-sm-12">

                    <div class="card">
                        <div class="card-body py-3">
                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="">
                                        <a class="btn btn-primary mb-3" href="{{ route('rosters.create') }}" target="_blank">Add <i class="fa fa-plus"></i></a>
                                        <button id="btnCancel" class="btn btn-danger" style="display:none;">Cancel</button>
                                    </div>
                                </div>
                            </div>
                            <div>
                                <livewire:roster-list />
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
        <!-- Container-fluid Ends -->
    </div>


<livewire:scripts />
</x-admin.admin-layout>




<!-- Get Ward wise departments -->
{{-- <script>
    $("select[name='ward_id']").change( function(e) {
        e.preventDefault();

        var model_id = $(this).val();
        var url = "{{ route('wards.departments', ':model_id') }}";

        $.ajax({
            url: url.replace(':model_id', model_id),
            type: 'GET',
            data: {
                '_token': "{{ csrf_token() }}"
            },
            success: function(data, textStatus, jqXHR)
            {
                if (!data.error)
                {
                    $("select[name='department_id']").html(data.departmentHtml);
                } else {
                    swal("Error!", data.error, "error");
                }
            },
            error: function(error, jqXHR, textStatus, errorThrown) {
                swal("Error!", "Some thing went wrong", "error");
            },
        });
    });
</script> --}}

resources/views/admin/rosters_create.blade.php
<x-admin.admin-layout>
    <x-slot name="title">{{ auth()->user()->tenant_name }} - Create Roster</x-slot>
    <livewire:styles />

    <div class="page-body">
        <div class="container-fluid">
            <div class="page-header py-3">


                <!-- Add Form -->
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card">

                            <div class="card-header pb-0">
                                <h3>Add Shift</h3>
                            </div>

                            <div class="card-body">

                                <livewire:add-roster />

                            </div>
                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary" id="addSubmit">Submit</button>
                                <button type="reset" class="btn btn-warning">Reset</button>
                            </div>

                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>


<livewire:scripts />
</x-admin.admin-layout>